# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ProductDefinitionFormation Class Reference

`#include <StepBasic_ProductDefinitionFormation.hxx>`

Inheritance diagram for StepBasic_ProductDefinitionFormation:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ProductDefinitionFormation ()
| Returns a ProductDefinitionFormation .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aId, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_Product)&aOfProduct)
Standard_EXPORT void | SetId (const Handle(TCollection_HAsciiString)&aId)
Standard_EXPORT Handle_TCollection_HAsciiString | Id () const
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
Standard_EXPORT void | SetOfProduct (const Handle(StepBasic_Product)&aOfProduct)
Standard_EXPORT Handle_StepBasic_Product | OfProduct () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | id
Handle_TCollection_HAsciiString | description
Handle_StepBasic_Product | ofProduct

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ProductDefinitionFormation::StepBasic_ProductDefinitionFormation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ProductDefinitionFormation::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_ProductDefinitionFormation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepBasic_ProductDefinitionFormationWithSpecifiedSource.

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ProductDefinitionFormation::Id | ( |  | ) | const

virtual Standard_EXPORT void StepBasic_ProductDefinitionFormation::Init | ( | const Handle(TCollection_HAsciiString)& | aId,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_Product)& | aOfProduct
| ) | `[virtual]`

| Reimplemented in StepBasic_ProductDefinitionFormationWithSpecifiedSource.

Standard_EXPORT Handle_StepBasic_Product StepBasic_ProductDefinitionFormation::OfProduct | ( |  | ) | const

Standard_EXPORT void StepBasic_ProductDefinitionFormation::SetDescription | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

Standard_EXPORT void StepBasic_ProductDefinitionFormation::SetId | ( | const Handle(TCollection_HAsciiString)& | aId | ) |

Standard_EXPORT void StepBasic_ProductDefinitionFormation::SetOfProduct | ( | const Handle(StepBasic_Product)& | aOfProduct | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_ProductDefinitionFormation::description `[private]`

Handle_TCollection_HAsciiString StepBasic_ProductDefinitionFormation::id `[private]`

Handle_StepBasic_Product StepBasic_ProductDefinitionFormation::ofProduct `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ProductDefinitionFormation.hxx